import axios from "@/utils/request";
import request from "@/utils/request";

export function getLayerCode(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/createCodeByFreightCode",
    method: "get",
    params: query
  });
}


export function saveLayer(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/save",
    method: "post",
    data: query
  });
}

export function getLayerList(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/getLayerPage",
    method: "get",
    params: query
  });
}

export function deleteLayer(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/deleteLayer",
    method: "post",
    data: query
  });
}


export function getListByFreightCode(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/getListByFreightCode",
    method: "get",
    params: query
  });
}


export function getListByFreightCodeView(query) {
  return axios({
    url: "/udiwms/WorkplaceLayer/getListByFreightCodeView",
    method: "get",
    params: query
  });
}
